Bug 178296 - [maintainer update] security/scamp
Summary: [maintainer update] security/scamp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-02 13:00 UTC by Gerard Seibert
Modified: 2013-05-03 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.25 KB, patch)
2013-05-02 13:00 UTC, Gerard Seibert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2013-05-02 13:00:00 UTC
This release is to correct two "bugs" found in the configuration and download routine that could cause the program to fail.

Fix: Patch attached with submission follows:
Comment 1 Emanuel Haupt freebsd_committer 2013-05-03 10:02:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 dfilter service freebsd_committer 2013-05-03 10:36:14 UTC
Author: ehaupt
Date: Fri May  3 09:36:05 2013
New Revision: 317186
URL: http://svnweb.freebsd.org/changeset/ports/317186

Log:
  Update to 5.6
  
  PR:             178296
  Submitted by:   Gerard Seibert <gerard@seibercom.net> (maintainer)

Modified:
  head/security/scamp/Makefile
  head/security/scamp/distinfo
  head/security/scamp/files/default.sample
  head/security/scamp/files/pkg-message.in
  head/security/scamp/pkg-descr
  head/security/scamp/pkg-plist

Modified: head/security/scamp/Makefile
==============================================================================
--- head/security/scamp/Makefile	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/Makefile	Fri May  3 09:36:05 2013	(r317186)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	scamp
-PORTVERSION=	5.5
+PORTVERSION=	5.6
 CATEGORIES=	security
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -27,6 +27,8 @@ SUB_FILES=	pkg-message
 
 MAN1=		scamp.1
 
+OPTIONS_DEFINE=	DOCS
+
 .include <bsd.port.options.mk>
 
 post-patch:

Modified: head/security/scamp/distinfo
==============================================================================
--- head/security/scamp/distinfo	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/distinfo	Fri May  3 09:36:05 2013	(r317186)
@@ -1,2 +1,2 @@
-SHA256 (scamp-5.5.tar.gz) = 60ebc2603e457172c16761d2bc9933121f9bcc613673c44853e4b9931c161dce
-SIZE (scamp-5.5.tar.gz) = 137225
+SHA256 (scamp-5.6.tar.gz) = bacdee58ee86dcdb56c1605ae62cca0efc3557a570218d6860e4b75090bddb46
+SIZE (scamp-5.6.tar.gz) = 137317

Modified: head/security/scamp/files/default.sample
==============================================================================
--- head/security/scamp/files/default.sample	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/files/default.sample	Fri May  3 09:36:05 2013	(r317186)
@@ -1,13 +1,12 @@
-# This is the /usr/local/etc/scamp/default file.
-# Created April 27, 2013 @ 19:37:13
+# This is the /etc/scamp/default file.
+# Created Thu, Tue, 02 May 2013
 
-SCAMP_VERSION=5.5
+SCAMP_VERSION=5.6
 CLAMAV_DB=/var/db/clamav
 T_DIR=/var/db/clamav/tmp
 C_GROUP=clamav
 C_PID=/var/run/clamav/clamd.pid
 C_USER=clamav
-CONFIG_DIR=/usr/local/etc/scamp
 GET_LDB=1
 GET_MALWARE=1
 GET_SANE=1
@@ -21,11 +20,10 @@ MW_DIR=/var/db/clamav/tmp/malware
 MW_FILE=mbl.ndb
 MW_URL=http://www.malwarepatrol.com.br/cgi/submit?action=list_clamav_ext
 RELOAD=1
-REST=0
+REST=1
 SANE=rsync://rsync.sanesecurity.net/sanesecurity
 SANE_DB=/var/db/clamav/tmp/sane
 SI_DIR=/var/db/clamav/tmp/securite
 SYS_LOG=1
 WPC=1
 W_SUM=1
-

Modified: head/security/scamp/files/pkg-message.in
==============================================================================
--- head/security/scamp/files/pkg-message.in	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/files/pkg-message.in	Fri May  3 09:36:05 2013	(r317186)
@@ -22,4 +22,7 @@
 * You will need to manually create any additional configuration files. *
 * Read the README or type "man scamp" for further assistance.          *
 *                                                                      *
+* To completely remove "scamp" from your system, delete the config     *
+* directory -- usually "/usr/local/etc/scamp"                          *
+*                                                                      *
 ************************************************************************

Modified: head/security/scamp/pkg-descr
==============================================================================
--- head/security/scamp/pkg-descr	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/pkg-descr	Fri May  3 09:36:05 2013	(r317186)
@@ -5,6 +5,4 @@ sanesecurity.com
 malware.com.br
 clamav.securiteinfo.com
 
-Site Address:
-
 WWW: https://sourceforge.net/projects/scamp/

Modified: head/security/scamp/pkg-plist
==============================================================================
--- head/security/scamp/pkg-plist	Fri May  3 09:15:24 2013	(r317185)
+++ head/security/scamp/pkg-plist	Fri May  3 09:36:05 2013	(r317186)
@@ -5,6 +5,7 @@ bin/scamp.sh
 %%PORTDOCS%%%%DOCSDIR%%/Release.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @exec mkdir -p %D/etc/scamp
+@unexec if cmp -s %D/etc/scamp/default.sample %D/etc/scamp/default; then rm -f %D/etc/scamp/default; fi
 etc/scamp/default.sample
 @exec if [ ! -f %D/etc/scamp/default ] ; then cp -p %D/%F %B/default; fi
 @dirrmtry etc/scamp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Emanuel Haupt freebsd_committer 2013-05-03 10:36:22 UTC
State Changed
From-To: open->closed

Committed, thanks!